Package net.shibboleth.idp.plugin.authn.webauthn.exception

# Class AssertionFailureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.shibboleth.idp.plugin.authn.webauthn.exception.WebAuthnAuthenticationClientException
net.shibboleth.idp.plugin.authn.webauthn.exception.AssertionFailureException

All Implemented Interfaces:
  `Serializable`

public class AssertionFailureException extends WebAuthnAuthenticationClientException
Exception that is throw if an authentication assertion is not valid.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Generated serial UID.

## Constructor Summary

Constructors
Constructor
Description
`AssertionFailureException()`
Constructor.
`AssertionFailureException(String message)`
Constructor.
`AssertionFailureException(String message, Throwable cause)`
Constructor.
`AssertionFailureException(Throwable cause)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Generated serial UID.

See Also:
  - Constant Field Values

## Constructor Details

### AssertionFailureException

public AssertionFailureException()
Constructor.

### AssertionFailureException

public AssertionFailureException(String message, Throwable cause)
Constructor.

Parameters:
  `message` - exception message
  `cause` - exception to be wrapped by this one

### AssertionFailureException

public AssertionFailureException(String message)
Constructor.

Parameters:
  `message` - exception message

### AssertionFailureException

public AssertionFailureException(Throwable cause)
Constructor.

Parameters:
  `cause` - exception to be wrapped by this one